Summary:	Support library for GNOME games
Summary(pl.UTF-8):	Biblioteka wspierająca dla gier GNOME
Name:		libgnome-games-support2
Version:	2.0.1
Release:	1
License:	LGPL v3+
Group:		X11/Libraries
Source0:	https://download.gnome.org/sources/libgnome-games-support/2.0/libgnome-games-support-%{version}.tar.xz
# Source0-md5:	a613e4693ebeac275e8fee981394cdea
URL:		https://github.com/GNOME/libgnome-games-support
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.40.0
BuildRequires:	gtk4-devel >= 4.2.0
BuildRequires:	libgee-devel >= 0.14.0
BuildRequires:	meson >= 0.50.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.40.0
BuildRequires:	vala-libgee >= 0.14.0
BuildRequires:	xz
Requires:	glib2 >= 1:2.40.0
Requires:	gtk4 >= 4.2.0
Requires:	libgee >= 0.14.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgnome-games-support is a small library intended for internal use by
GNOME Games, but it may be used by others. The API will only break
with the major version number. The ABI is unstable.

%description -l pl.UTF-8
libgnome-games-support to mała biblioteka przeznaczona do użytku
wewnętrznego gier ze środowiska GNOME, ale może być wykorzystywana
także przez innych. API może się zmieniać tylko wraz z głównym numerem
wersji; ABI nie jest stabilne.

%package devel
Summary:	Header files for libgnome-games-support library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgnome-games-support
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.40.0
Requires:	gtk4-devel >= 4.2.0
Requires:	libgee-devel >= 0.14.0

%description devel
Header files for libgnome-games-support library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgnome-games-support.

%package -n vala-libgnome-games-support2
Summary:	Vala API for libgnome-games-support library
Summary(pl.UTF-8):	API języka Vala do bibliotek libgnome-games-support
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
BuildArch:	noarch

%description -n vala-libgnome-games-support2
Vala API for libgnome-games-support library.

%description -n vala-libgnome-games-support2 -l pl.UTF-8
API języka Vala do bibliotek libgnome-games-support.

%prep
%setup -q -n libgnome-games-support-%{version}

%build
# --default-library=both doesn't work with vala generated sources
# https://github.com/mesonbuild/meson/issues/6960
# We don't need static library currently, so don't bother to make it.
%meson \
	--default-library=shared

%meson_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_libdir}/libgnome-games-support-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnome-games-support-2.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome-games-support-2.so
%{_includedir}/gnome-games-support-2
%{_pkgconfigdir}/libgnome-games-support-2.pc

%files -n vala-libgnome-games-support2
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libgnome-games-support-2.vapi
%changelog
* Sun Mar 16 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgnome-games-support2.git;a=log;h=master

* Sun Mar 16 2025 Jakub Bogusz <qboosh@pld-linux.org> b40bc83
- BR: vala-libgee

* Fri Mar 14 2025 Jakub Bogusz <qboosh@pld-linux.org> 2f344f2
- updated to 2.0.1, fixed gtk dependency

* Tue Mar 29 2022 Jakub Bogusz <qboosh@pld-linux.org> aa710c3
- libgnome-games-support 2.0.0 as libgnome-games-support2
 (parallel-installable with libgnome-games-support 1.x, not all components have been ported)

* Sun Oct 31 2021 Jan Rękorajski <baggins@pld-linux.org> d720091
- Release 2 (by relup.sh)

* Sat Oct 30 2021 Jakub Bogusz <qboosh@pld-linux.org> 64ce110
- updated to 1.8.2

* Sun Apr 04 2021 Jakub Bogusz <qboosh@pld-linux.org> dead721
- updated to 1.8.1

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 15cc0b5
- unconditional noarch subpackages

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 5ca215e
- updated to 1.8.0

* Sun Apr 12 2020 Jakub Bogusz <qboosh@pld-linux.org> db258e5
- updated to 1.6.1
- workaround for both_libraries not working with vala generated sources

* Wed Nov 27 2019 Jakub Bogusz <qboosh@pld-linux.org> ee387c8
- obsolete old gnome-games libs/common and devel packages

* Tue Sep 03 2019 Jakub Bogusz <qboosh@pld-linux.org> 92cb72a
- updated to 1.4.4

* Tue Aug 06 2019 Jakub Bogusz <qboosh@pld-linux.org> c8dc235
- updated to 1.4.3

* Thu Mar 22 2018 Marcin Banasiak <marcin.banasiak@gmail.com> a6bf8ec
- Update to 1.4.1

* Wed Mar 14 2018 Marcin Banasiak <marcin.banasiak@gmail.com> b70a16e
- Update to 1.4.0 (note: new soname)

* Wed Sep 13 2017 Marcin Banasiak <marcin.banasiak@gmail.com> cfa2aec
- Update to 1.2.3

* Wed Jun 21 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 5bf4388
- Update to 1.2.2

* Thu Oct 27 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 594fdc4
- Update to 1.2.1

* Sun Sep 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 490df34
- BR: gettext-tools

* Mon Sep 19 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 444a1b2
- Renamed to libgnome-games-support and updated to 1.2.0

* Thu May 12 2016 Jakub Bogusz <qboosh@pld-linux.org> 518bff2
- updated to 1.0.2
- unified GNOME Source URL

